Gentoo Archives: gentoo-user

From: "Alma J. Wetzker" <ajwgentoo@×××××××.net>
To: gentoo-user@l.g.o
Subject: [gentoo-user] error in emerge for xmlto-0.0.18
Date: Sat, 29 Dec 2007 23:55:36
Message-Id: 4776DD22.2000601@comcast.net
1 I am trying to update a very old install of gentoo. The portage emerge
2 is stuck on the xmlto package.
3
4 make all-am
5 make[1]: Entering directory
6 `/var/tmp/portage/xmlto-0.0.18/work/xmlto-0.0.18'
7 if i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I. -O3
8 -march=pentium3 -mcpu=i686 -fomit-frame-pointer -pipe -MT xmlif/xmlif.o
9 -MD -MP -MF "xmlif/.deps/xmlif.Tpo" -c -o xmlif/xmlif.o `test -f
10 'xmlif/xmlif.c' || echo './'`xmlif/xmlif.c; \
11 then mv -f "xmlif/.deps/xmlif.Tpo" "xmlif/.deps/xmlif.Po"; else rm -f
12 "xmlif/.deps/xmlif.Tpo"; exit 1; fi
13 distcc[9440] (dcc_get_hostlist) Warning: no hostlist is set; can't
14 distribute work
15 distcc[9440] (dcc_build_somewhere) Warning: failed to distribute,
16 running locally instead
17 i686-pc-linux-gnu-gcc -O3 -march=pentium3 -mcpu=i686
18 -fomit-frame-pointer -pipe -o xmlif/xmlif xmlif/xmlif.o
19 for xml in xmlif.xml xmlto.xml; do \
20 FORMAT_DIR=./format XSL_DIR=./xsl \
21 bash ./xmlto -o man/man1 man ./doc/$xml ; \
22 done || ( RC=$?; cat ./FAQ; exit $RC )
23 warning: failed to load external entity
24 "http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl"
25 compilation error: file
26 /var/tmp/portage/xmlto-0.0.18/temp/xmlto-xsl.QUQfA5 line 4 element import
27 xsl:import : unable to load
28 http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
29 warning: failed to load external entity
30 "http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl"
31 compilation error: file
32 /var/tmp/portage/xmlto-0.0.18/temp/xmlto-xsl.8MToXI line 4 element import
33 xsl:import : unable to load
34 http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
35
36 Q: I'm trying to build xmlto on my Debian box, but it doesn't work.
37
38 A: If you get `Attempt to load network entity' errors when building
39 xmlto, your system does not have the required support for XML
40 Catalogs
41 (http://www.oasis-open.org/committees/entity/spec-2001-08-06.html).
42 In particular, Debian has no support for these. Try the Fedora
43 Project <http://fedora.redhat.com>.
44 make[1]: *** [man/man1/xmlto.1] Error 1
45 make[1]: Leaving directory `/var/tmp/portage/xmlto-0.0.18/work/xmlto-0.0.18'
46 make: *** [all] Error 2
47
48
49
50 I can't find a reference to sourceforge in any of the files in the work
51 directory. Where do I put the docbook.xsl file? Am I missing something
52 else? I never got very complex in my make syntax, so I am completely
53 lost in trying to decipher where the error is even occurring.
54
55 -- Alma
56 --
57 gentoo-user@g.o mailing list

Replies

Subject Author
Re: [gentoo-user] error in emerge for xmlto-0.0.18 David Relson <relson@×××××××××××××.com>